Foxit PDF SDK

Instance Methods | Properties | List of all members
FSQuadPoints Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithFirst:second:third:fourth:
| Constructor, with parameters. More...
(id) | - initWithQuad_points:
| Constructor, with another quadrilateral points object. More...
(void) | - set:second:third:fourth:
| Set value. More...

## Properties
FSPointF * | first
| First point of quadrilateral, in PDF coordinate system.
FSPointF * | fourth
| Fourth point of quadrilateral, in PDF coordinate system.
FSPointF * | second
| Second point of quadrilateral, in PDF coordinate system.
FSPointF * | third
| Third point of quadrilateral, in PDF coordinate system.

## Detailed Description

This class represents points of a quadrilateral, in PDF coordinate system. The order of points in a quadrilateral should be as follows:

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.

## Method Documentation

## ◆ initWithFirst:second:third:fourth:()

- (id) initWithFirst: |  | (FSPointF*) | first
second: |  | (FSPointF*) | second
third: |  | (FSPointF*) | third
fourth: |  | (FSPointF*) | fourth

Constructor, with parameters.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

## ◆ initWithQuad_points:()

- (id) initWithQuad_points: |  | (FSQuadPoints*) | quad_points |

Constructor, with another quadrilateral points object.

Parameters

  [in] | quad_points | Another quadrilateral points object.

## ◆ set:second:third:fourth:()

- (void) set: |  | (FSPointF*) | first
second: |  | (FSPointF*) | second
third: |  | (FSPointF*) | third
fourth: |  | (FSPointF*) | fourth

Set value.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

Returns
  None.